declare type BrRecord = Record<string | number | symbol, unknown>;
interface BrResponse<T> {
    success: boolean;
    message: string;
    code: string;
    data: Array<T>;
}
declare function getRouteBase(): string;
declare function post<T>(url: string, params?: BrRecord): Promise<BrResponse<T>>;
declare function get<T>(url: string, params?: BrRecord): Promise<BrResponse<T>>;
declare const _default: {
    post: typeof post;
    get: typeof get;
    getRouteBase: typeof getRouteBase;
};
export default _default;
